ome-xml 5.2.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ome::xml::model::ModelException Class Reference

Exception thrown for model consistency and validity errors. More...

`#include <ome/xml/model/ModelException.h>`

Inheritance diagram for ome::xml::model::ModelException:
[legend]
Collaboration diagram for ome::xml::model::ModelException:
[legend]

## Public Member Functions
| ModelException (const std::string &what)
| Constructor. More...
virtual | ~ModelException () throw ()
| Destructor.

## Detailed Description

Exception thrown for model consistency and validity errors.

## Constructor & Destructor Documentation

ome::xml::model::ModelException::ModelException | ( | const std::string & | what | ) |
| explicit

Constructor.

Parameters

  what | the exception message.

The documentation for this class was generated from the following files:

- ome/xml/model/ModelException.h
- ome/xml/model/ModelException.cpp